import { Component, OnInit } from '@angular/core';
import { RuntimeConfigLoaderService } from 'runtime-config-loader';
import { ButtonType } from '../../../shared/components/button/buttonType.enum';
import { AdminPanelEnum } from '../../../shared/enum/adminPanel.enum';
import { PanelRouteService } from '../../services/panel-route.service';

@Component({
  selector: 'app-admin-panel',
  templateUrl: './panel.component.html',
  providers: [PanelRouteService],
})
export class PanelComponent implements OnInit {
  public features = AdminPanelEnum;
  public ghostLink = this.runtimeConfigLoaderService.getConfigObjectKey('ghostAdmin');
  public selectedFeature;
  public buttonTypeEnum = ButtonType;

  constructor(
    private panelRouteService: PanelRouteService,
    private runtimeConfigLoaderService: RuntimeConfigLoaderService
  ) {
    this.panelRouteService.destinationChanged$.subscribe((selected: AdminPanelEnum) => {
      this.selectedFeature = selected;
    });
  }

  ngOnInit(): void {
    this.selectedFeature = this.features.pendingStructures;
  }

  public changeActiveFeature(newFeature: AdminPanelEnum): void {
    this.selectedFeature = newFeature;
  }
}
