import { Component, Input } from '@angular/core';
import { Router } from '@angular/router';
import { ButtonType } from '../../../../shared/components/button/buttonType.enum';

@Component({
  selector: 'app-login-modal',
  templateUrl: './login-modal.component.html',
  styleUrls: ['./login-modal.component.scss'],
})
export class LoginModalComponent {
  @Input() opened: boolean;
  public buttonTypeEnum = ButtonType;
  constructor(private router: Router) {}

  public handleClose(): void {
    this.opened = false;
  }
  public goLogin(): void {
    this.router.navigate(['/login'], { queryParams: { returnUrl: '/orientation' } });
    this.handleClose();
  }
}
